# TODO:
# - register gnome thumbnailer in more package-friendly way (not multiple gconftool runs)
# - webapp config for -html5? (optional, may be used also locally)
#
# Conditional build:
%bcond_without	html5	# HTML5 viewer
%bcond_without	magick	# ImageMagick coder
#
Summary:	FAIL - First Atari Image Library
Summary(pl.UTF-8):	FAIL (First Atari Image Library) - biblioteka do obrazów w formatach Atari
Name:		fail
Version:	2.0.1
Release:	3
License:	GPL v2+
Group:		Applications/Graphics
Source0:	http://downloads.sourceforge.net/fail/%{name}-%{version}.tar.gz
# Source0-md5:	b9362106f9a23a1f99ff7bece94d9aa7
URL:		http://fail.sourceforge.net/
%{?with_magick:BuildRequires:	ImageMagick-devel >= 1:6.8}
%{?with_html5:BuildRequires:	asciidoc}
%{?with_html5:BuildRequires:	cito}
BuildRequires:	libpng-devel
BuildRequires:	libxslt-progs
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{with magick}
%define		im_coders_dir	%{_libdir}/%(MagickCore-config --version | sed -e 's,^\\([.0-9]\\+\\) \\+\\(Q[0-9]\\+\\)\\( \\+\\(HDRI\\)\\)\\?.*,ImageMagick-\\1/modules-\\2\\4,')/coders
%endif

%description
FAIL is a viewer of pictures in native formats of Atari 8-bit, Atari
ST, Atari Falcon and Atari Portfolio computers.

%description -l pl.UTF-8
FAIL to narzędzia do przeglądania obrazów w natywnych formatach
komputerów Atari 8-bitowych, Atari ST, Atari Falcon oraz Atari
Portfolio.

%package gnome
Summary:	FAIL support for viewing Atari files in GNOME
Summary(pl.UTF-8):	Wsparcie FAIL do oglądania plików z Atari w GNOME
Group:		X11/Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description gnome
FAIL support for viewing Atari files in GNOME.

%description gnome -l pl.UTF-8
Wsparcie FAIL do oglądania plików z Atari w GNOME.

%package html5
Summary:	HTML5 FAIL viewer for Atari files
Summary(pl.UTF-8):	Przeglądarka FAIL do plików z Atari w HTML5
Group:		Applications/WWW

%description html5
HTML5 FAIL viewer for Atari files.

%description html5 -l pl.UTF-8
Przeglądarka FAIL do plików z Atari w HTML5.

%package -n ImageMagick-coder-fail
Summary:	FAIL coder for ImageMagick
Summary(pl.UTF-8):	Koder FAIL dla ImageMagicka
Group:		Libraries
%requires_ge_to	ImageMagick ImageMagick-devel

%description -n ImageMagick-coder-fail
FAIL coder for ImageMagick to read Atari formats.

%description -n ImageMagick-coder-fail -l pl.UTF-8
Koder FAIL dla ImageMagicka, czytający formaty Atari.

%prep
%setup -q

%build
%{__make} all fail-mime.xml \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall" \
%if %{with magick}
	MAGICK_INCLUDE_PATH=/usr/include/ImageMagick-6/private \
	CAN_INSTALL_MAGICK=1
%endif

%if %{with html5}
%{__make} -C html5
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install-fail2png \
	PREFIX=$RPM_BUILD_ROOT%{_prefix}

# install-thumbnailer is ugly; for now, install only this one
install -D fail-mime.xml $RPM_BUILD_ROOT%{_datadir}/mime/packages/fail-mime.xml

%if %{with magick}
install -D fail.so $RPM_BUILD_ROOT%{im_coders_dir}/fail.so
echo "dlname='fail.so'" >$RPM_BUILD_ROOT%{im_coders_dir}/fail.la
%endif

%if %{with html5}
install -d $RPM_BUILD_ROOT%{_datadir}/fail-html5
cp -p html5/*.{js,html} $RPM_BUILD_ROOT%{_datadir}/fail-html5
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.html
%attr(755,root,root) %{_bindir}/fail2png

%files gnome
%defattr(644,root,root,755)
%{_datadir}/mime/packages/fail-mime.xml
# TODO: gconf files?

%if %{with html5}
%files html5
%defattr(644,root,root,755)
%{_datadir}/fail-html5
%endif

%if %{with magick}
%files -n ImageMagick-coder-fail
%defattr(644,root,root,755)
%attr(755,root,root) %{im_coders_dir}/fail.so
%{im_coders_dir}/fail.la
%endif
%changelog
* Mon Nov 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fail.git;a=log;h=master

* Mon Nov 04 2013 Jan Rękorajski <baggins@pld-linux.org> 6411daf
- release 3 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3d79a40
- release 2 (by relup.sh)

* Fri Aug 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 8d040bf
- updated to 2.0.1

* Sat Apr 13 2013 Jakub Bogusz <qboosh@pld-linux.org> dce5707
- handle ImageMagick epoch

* Sat Apr 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 97165e0
- added magick bcond; (try to) allow srpm build without ImageMagick inttalled
- build html5 viewer

* Thu Apr 11 2013 Jakub Bogusz <qboosh@pld-linux.org> 86e2742
- adjusted for ImageMagick 6.8

* Mon Apr 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 3177b63
- new; needs private ImageMagick headers (WIP)

